@echo off
if not "%0"=="CheckCD" goto Abort
if "%1"=="" goto Abort

echo Checking for Gabriel Knight: The Beast Within CD in drive %1:
if exist %1:\ressci.* goto Exit
cls
echo Please put the Gabriel Knight: The Beast Within CD into your CD-ROM and then
pause

:LoopCheck
if exist %1:\ressci.* goto Exit
echo.
echo Unable to detect the Gabriel Knight: The Beast Within CD
echo in drive %1:. You may abort this looping test by
echo pressing Ctrl-C or insert the CD into your CD-ROM and then
pause
goto LoopCheck

:Abort
echo.
echo This batch file is used automatically by the Gabriel Knight:
echo The Beast Within program. Please do not run it from the DOS
echo command line.
echo.

:Exit 

